package intrinsic.mx.messaging.channels;

public class DirectHTTPChannel extends intrinsic.mx.messaging.Channel {

	/** Accessors */
	public boolean connected;
	public String protocol;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DirectHTTPChannel() {
}

public DirectHTTPChannel(String arg0) {
}

public DirectHTTPChannel(String arg0, String arg1) {
}


/** Static Methods */

/** Methods */
public native void setCredentials(String arg0);
public native void setCredentials(String arg0, intrinsic.mx.messaging.MessageAgent arg1);

}
